<?php
include('../../dao/auto_load.php');
$conecta = new \Conn\MySqlConnect();
$clientesDao = new \Dao\Clientes();
$clientesDao->tipo = $conecta->real_escape_string(filter_input(INPUT_POST, 'tipo'));
$clientesDao->nome = $conecta->real_escape_string(filter_input(INPUT_POST, 'nome'));
$clientesDao->cpf = $conecta->real_escape_string(filter_input(INPUT_POST, 'cpf_cnpj'));
$clientesDao->fk_id_cidade = $conecta->real_escape_string(filter_input(INPUT_POST, 'cidade'));
$clientesDao->data_cadastro = date('Y-m-d H:i:s');
$clientesDao->usuario_cadastrou = $_SESSION['id_usuario'];
$lst_clientes = $clientesDao->getLista($conecta, "AND cpf = '$clientesDao->cpf'");
if (!empty($lst_clientes)) {
    echo json_encode(['type' => 'error', 'message' => 'Já Existe Um Cliente Cadastrado Com Este CPF/CNPJ!']);
    return;
}
$res = json_decode($clientesDao->salvar($conecta));
if ($res->data == 'Success') {
    echo json_encode(['type' => 'success', 'message' => $res->message]);
    return;
}
echo json_encode(['type' => 'error', 'message' => $res->message]);